import { Check, CircleAlert, Info, X } from 'lucide-react';
import { useDispatch } from 'react-redux';

export default function NotificationBar() {
    const { message, type, show } = useSelector((state) => state.notificationBar);
    const dispatch = useDispatch();

    return (
        <div
            className={`snackbar alert alert-${type} d-flex align-items-center justify-content-between position-fixed top-10 start-50 translate-middle w-50 gap-2`}
            role='alert'
        >
            {type === 'success' && <Check />}
            {type === 'warning' && <CircleAlert />}
            {type === 'error' && <X />}
            {type === 'info' && <Info />}
            <div className='flex-fill'>{message}</div>
            <button type='button' className='btn-close flex-end' onClick={handleClose} aria-label='Close'></button>
        </div>
    );
}
